Subject: bug#52651: syncthing-gtk fails to run (librsvg error)

From: Leo Famulari <[email-masked]>
Date: Sun, 19 Dec 2021 20:11:11 -0500

On Sun, Dec 19, 2021 at 09:06:55PM +0000, John Kehayias via Bug reports for GNU Guix wrote:
> Thanks for the details, and I figured out the problem, though not sure of the fix. A similar issue was reported upstream some time ago: https://github.com/kozec/syncthing-gtk/issues/428 and https://gitlab.gnome.org/GNOME/librsvg/-/issues/210
> 
> The answer was that multiple librsvg were being used. I checked our syncthing-gtk (the wrapper around .syncthing-gtk-real) and there are two different librsvg store paths in GI_TYPELIB_PATH. Removing the first one fixes the problem for me, but not removing the second one.
> 
> Looking at guix gc --references for both of them shows an identical list of references (other than themselves). Any idea what is going on here?
> 
> This is the variable from the wrapper script:
> 
> export GI_TYPELIB_PATH="/gnu/store/8g4rvram1vmir3kbmizbdkbzyvfx6rqh-gtk+-3.24.30/lib/girepository-1.0:/gnu/store/qsdlm238an63wb765ldd04kn1ac3z8wc-libappindicator-12.10.0/lib/girepository-1.0:/gnu/store/q4ys65dcqg8bvndh2260h1zhydv46n1f-libnotify-0.7.9/lib/girepository-1.0:/gnu/store/wh2j9mz03vx3x6kajv0mdqgf6igd6r0j-librsvg-2.50.7/lib/girepository-1.0:/gnu/store/3pim1cxlfw07r08wsbkx35w6i2xj46i6-pango-1.48.10/lib/girepository-1.0:/gnu/store/2dza2psfbrrbvsni8jjqzzqx3hmm8kw8-librsvg-2.50.7/lib/girepository-1.0:/gnu/store/agd34525iczpyzn27zdhghy10yfiby6n-atk-2.36.0/lib/girepository-1.0:/gnu/store/pjp4d4sl00nzfdbh27qkvb47c1fb525s-libdbusmenu-16.04.0/lib/girepository-1.0:/gnu/store/a8dljzmb4w921bz3pxvfp0d2v7yzw1bb-gdk-pixbuf-2.42.4/lib/girepository-1.0:/gnu/store/dswp2mfwb56xg57903cvhwcjj1fpdhqi-harfbuzz-2.8.2/lib/girepository-1.0:/gnu/store/6p5vr2dbvrcg5yd7frjhkbm1q5mapcs0-at-spi2-core-2.40.0/lib/girepository-1.0${GI_TYPELIB_PATH:+:}$GI_TYPELIB_PATH"

Thanks for the report. I believe this is fixed with commit
99f290bf5ba59e3218b95d7505ac27f989250aad

Please let us know if this bug is closed in error.